<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>es.bsc.inb.nlp</groupId>
  <artifactId>dnorm-gate-wrapper</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <packaging>jar</packaging>

  <name>dnorm-gate-wrapper</name>
  <url>http://maven.apache.org</url>
  
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
  </properties>
	 <repositories>
	    <repository>
	        <id>local-maven-repo</id>
	        <url>/home/jcorvi/projects/dnorm-gate-wrapper/lib</url>
	    </repository>
	</repositories>
  <dependencies>
	    <dependency>
	      <groupId>junit</groupId>
	      <artifactId>junit</artifactId>
	      <version>3.8.1</version>
	      <scope>test</scope>
	    </dependency>
	    <dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.17</version>
		</dependency>
	  	<dependency>
			<groupId>uk.ac.gate</groupId>
			<artifactId>gate-core</artifactId>
			<version>8.6.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.maven.plugins</groupId>
			<artifactId>maven-assembly-plugin</artifactId>
			<version>3.1.0</version>
		</dependency>
		<dependency>
		    <groupId>commons-cli</groupId>
		    <artifactId>commons-cli</artifactId>
		    <version>1.4</version>
		</dependency>
		<dependency>
		    <groupId>commons-cli</groupId>
		    <artifactId>commons-cli</artifactId>
		    <version>1.4</version>
		</dependency>
		<dependency>
	      <groupId>dnorm.com</groupId>
	      <artifactId>dnorm_thirdparty</artifactId>
	      <version>1.0</version>
		</dependency>
		<dependency>
	      <groupId>colt.com</groupId>
	      <artifactId>colt_thirdparty</artifactId>
	      <version>1.0</version>
		</dependency>
		<dependency>
	      <groupId>banner.com</groupId>
	      <artifactId>banner_thirdparty</artifactId>
	      <version>1.0</version>
		</dependency>
		<dependency>
	      <groupId>bioc.com</groupId>
	      <artifactId>bioc_thirdparty</artifactId>
	      <version>1.0</version>
		</dependency>
		<dependency>
		    <groupId>commons-collections</groupId>
		    <artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>
		<dependency>
		    <groupId>commons-collections</groupId>
		    <artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>
		<dependency>
		    <groupId>commons-configuration</groupId>
		    <artifactId>commons-configuration</artifactId>
		    <version>1.6</version>
		</dependency>
		<dependency>
		    <groupId>commons-lang</groupId>
		    <artifactId>commons-lang</artifactId>
		    <version>2.4</version>
		</dependency>
		<dependency>
		    <groupId>de.julielab</groupId>
		    <artifactId>dragontool</artifactId>
		    <version>1.3.3</version>
		</dependency>
		<dependency>
	      <groupId>heptag.com</groupId>
	      <artifactId>heptag_thirdparty</artifactId>
	      <version>1.0</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.lucene</groupId>
		    <artifactId>lucene-analyzers</artifactId>
		    <version>3.6.0</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.lucene</groupId>
		    <artifactId>lucene-core</artifactId>
		    <version>3.6.0</version>
		</dependency>
		<dependency>
		    <groupId>malletdeps.com</groupId>
		    <artifactId>malletdeeps_thirdparty</artifactId>
		    <version>1.0</version>
		</dependency>
		<dependency>
		    <groupId>cc.mallet</groupId>
		    <artifactId>mallet</artifactId>
		    <version>2.0.7</version>
		</dependency>
		<dependency>
		    <groupId>org.codehaus.woodstox</groupId>
		    <artifactId>stax2-api</artifactId>
		    <version>3.1.1</version>
		</dependency>
		<dependency>
		    <groupId>org.codehaus.woodstox</groupId>
		    <artifactId>stax2-api</artifactId>
		    <version>3.1.1</version>
		</dependency>
		<dependency>
		    <groupId>net.sf.trove4j</groupId>
		    <artifactId>trove4j</artifactId>
		    <version>3.0.1</version>
		</dependency>
		<dependency>
		    <groupId>org.apache.geronimo.bundles</groupId>
		    <artifactId>woodstox-core-asl</artifactId>
		    <version>4.1.2_1</version>
		</dependency>
  	</dependencies>

  <build>
		<plugins>
			<plugin>
			    <groupId>org.apache.maven.plugins</groupId>
			    <artifactId>maven-assembly-plugin</artifactId>
			    <executions>
			        <execution>
			            <phase>package</phase>
			            <goals>
			                <goal>single</goal>
			            </goals>
			            <configuration>
			                <archive>
			                <manifest>
			                    <mainClass>
			                        es.bsc.inb.dnorm.gate.wrapper.Wrapper
			                    </mainClass>
			                </manifest>
			                </archive>
			                <descriptorRefs>
			                    <descriptorRef>jar-with-dependencies</descriptorRef>
			                </descriptorRefs>
			            </configuration>
			        </execution>
			    </executions>
			</plugin>
		</plugins>
	</build>
</project>